/***************************************************************************
 *   Copyright (C) 2003 by Matteo Merli                                    *
 *   matteo@petaligrigi.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef _DEVICES_H_
#define _DEVICES_H_

#include "view.h"
#include "my_header.h"
#include "my_label.h"

#include <kdirlister.h>
#include <kfileitem.h>

#ifndef _LABEL_LIST
#define _LABEL_LIST
typedef QPtrList< MyLabel > LabelList;
#endif

class Devices : public QObject
{
	Q_OBJECT
	
public:
	Devices(QWidget *parent, QBoxLayout *layout,
		QString text, QString icon);
	~Devices();
	
	MyHeader *header;
	
public slots:
	void slotClear();
	void slotNewItems( const KFileItemList &list);
	void slotDeleteItem( KFileItem *item);
	void slotRefreshItems( const KFileItemList &list);
	
protected:
	void reload();
	
	View *mParent;
	LabelList mLabelList;
	
	KDirLister *mDirLister;	
};

#endif

