/***************************************************************************
 *   Copyright (C) 2003 by Matteo Merli                                    *
 *   matteo@petaligrigi.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
 

#ifndef _MY_LABEL_H_
#define _MY_LABEL_H_

#include <kurllabel.h>
#include <qlayout.h>
#include <qstring.h>

#include "view.h"
#include "my_header.h"
#include "actions.h"

class FlatButton;

class MyLabel : public QObject
{
  Q_OBJECT
 public:
	MyLabel( View *parent, MyHeader *header, 
		 QString text, QString link, QString icon );
	~MyLabel();
	
	void update(QString text, QString link, QString icon);
	void hide();
	void show();
	
	void setAction(s_action &act);
	
	QString link() {return m_link;}

 public slots:
        void clicked();
 
        void mouseOn();
	void mouseOff();
	
 signals:
	void click_action(s_action &);
	
 protected:
	KURLLabel *mLabel;
	FlatButton *btn;
	QLabel *mIcon;
	QString m_link;
	View *m_parent;
	QString sIcon;
	
	s_action m_act;
	bool use_action;
};


#endif
