/***************************************************************************
 *   Copyright (C) 2003 by Marco Martin                                    *
 *   m4rt@libero.it                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#include <qlabel.h>
#include <kinstance.h>
#include <qstring.h>
#include <qwidget.h>
#include <kurlbar.h> 
#include <dcopclient.h>
#include <kapplication.h>
#include <kdebug.h>

#include "speedbar.h"
#include "speedbar.moc"



speedbar::speedbar(KInstance *inst,QObject *parent,QWidget *widgetParent, QString &desktopName, const char* name):
                   KonqSidebarPlugin(inst,parent,widgetParent,desktopName,name)
{

        widget = new KURLBar(TRUE, widgetParent, "KFileDialog Speedbar",0);
	widget -> readConfig( KGlobal::config(), "KFileDialog Speedbar" );

	connect(widget, SIGNAL( activated( const KURL&  )), SLOT( loadURL( const KURL& ) ));
	
}



speedbar::~speedbar()
{
 widget->writeConfig( KGlobal::config(), "KFileDialog Speedbar" );
}

void speedbar::handleURL(const KURL &url)
{
	widget -> setCurrentItem ( url );
}


void speedbar::loadURL( const KURL &url )
{
	openURLRequest(url);
}



extern "C"
{
    void* create_konqsidebar_speedbar(KInstance *instance,QObject *par,QWidget *widp,QString &desktopname,const char *name)
    {
        return new speedbar(instance,par,widp,desktopname,name);
    }
};
