/***************************************************************************
 *   Copyright (C) 2003 by Marco Martin                                    *
 *   m4rt@libero.it                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef SPEEDBAR_H
#define SPEEDBAR_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kparts/part.h>
#include <kparts/factory.h>
#include <kparts/browserextension.h>
#include <konqsidebarplugin.h>
#include <qstring.h>
#include <kconfig.h>


class speedbar : public KonqSidebarPlugin
{
    Q_OBJECT
    
public:
    /**
     * Construct a @ref KonqSidebarPlugin.
     *
     * @param inst The sidebar's kinstance class.
     * @param parent The sidebar internal button info class responsible for this plugin.
     * @param widgetParent The container which will contain the plugins widget.
     * @param desktopName The filename of the configuration file.
     * @param name A Qt object name for your plugin.
     **/
     speedbar(KInstance *inst,QObject *parent,QWidget *widgetParent, QString &desktopName, const char* name=0);

    /** destructor */
    ~speedbar();
   
   virtual QWidget *getWidget(){return widget;}
   virtual void *provides(const QString &) {return 0;}

public slots:
	void loadURL( const KURL &url );

protected:

	KURLBar* widget;
        virtual void handleURL(const KURL &url);
signals:
	void openURLRequest( const KURL &url, const KParts::URLArgs &args = KParts::URLArgs() );
};

#endif
